Projects
--------

### How do I download projects from the Perforce Workshop? Do I need a registered account?

You do not need a registered account to download anything from the
Perforce Workshop.

Most project pages will have convenient links that you can click
to download relevant project files. If a project does not have a
download link setup but you know the depot path to the branch,
you can look it up from Swarm's
[/files](https://swarm.workshop.perforce.com/files/guest/)
section or you can browse for it with any Perforce client
application running on your machine, using the **sync** command
to download files.

We have some general notes on how to [browse](browsing.md) the
Perforce Workshop.

### How do I track changes to a project I am interested in?

Have a look at:

[https://swarm.workshop.perforce.com/docs/basics.notifications.html](https://swarm.workshop.perforce.com/docs/basics.notifications.html)


Guest Branches
--------------

### Where is my guest branch? I can't find it.

When you register for the Perforce Workshop you are given write
permission to the path "`//guest/your_name/...`", but until you add
files to this path, it won't show up in the depot.

The guest branch directory will be created automatically as soon
as you've added files to it. See
[Adding Files](http://www.perforce.com/perforce/doc.current/manuals/p4guide/04_files.html#1069361)
in the P4 User's Guide for more information on adding files to a
Perforce depot.

### How do I work on a project in someone else's guest branch?

You only have **write** permissions to your own guest branch, but you
can integrate anything into it that you can **read**, which is
everything in the `//public` and `//guest` depots). This means that you
can integrate a project from another user's guest branch into your own
and make any edits to it that you like without impacting the other
user's files.

If someone else has been working on one of your projects in their guest
branch and you like their changes, you can integrate from their branch
back into your branch to merge the changes together.

Contributors
------------

We welcome contribution! Please see the
[contributor's guide](contributing.md) for more information.
